Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1296536 - mailx always fails smtp send when -S ssl-verify=strict
Summary: mailx always fails smtp send when -S ssl-verify=strict
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mailx
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikola Forró
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1290043
Blocks: 1290072
TreeView+ depends on / blocked
 
Reported: 2016-01-07 13:16 UTC by Nikola Forró
Modified: 2016-01-19 23:56 UTC (History)
5 users (show)

Fixed In Version: mailx-12.5-16.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of: 1290043
Environment:
Last Closed: 2016-01-19 23:56:12 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Nikola Forró 2016-01-07 13:16:55 UTC
+++ This bug was initially created as a clone of Bug #1290043 +++

Description of problem:

mailx always fails when attempting to perform an SMTP send to a secure server if strict verification is set, regardless of nss-config-dir contents.


Version-Release number of selected component (if applicable):

mailx-12.5-15.fc22
mailx-12.5-17.fc23
mailx-12.5-17.fc24

How reproducible:

Always

Steps to Reproduce:

mailx -S smtp=smtps://smtp.example.com:465 \
     -S ssl-verify=strict \
     -S nss-config-dir=/etc/pki/nssdb \
     -s 'Testing secure send' \
     user


Actual results:

Resolving host smtp.example.com . . . done.
Connecting to 192.168.0.10:465 . . . connected.
Comparing DNS name: "smtp.example.com"
"/home/joe/dead.letter" 14/382
. . . message not sent.

Expected results:

mail should be sent.

Additional info:

Send fails regardless of contents of nss db in referenced directory.

Comment 2 Fedora Update System 2016-01-07 19:04:51 UTC
mailx-12.5-18.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-60a5d65235

Comment 3 Fedora Update System 2016-01-07 19:05:19 UTC
mailx-12.5-16.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-619324b3cb

Comment 4 Fedora Update System 2016-01-09 04:25:30 UTC
mailx-12.5-16.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-619324b3cb

Comment 5 Fedora Update System 2016-01-09 04:27:55 UTC
mailx-12.5-18.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-60a5d65235

Comment 6 Fedora Update System 2016-01-12 07:58:32 UTC
mailx-12.5-18.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-01-19 23:56:10 UTC
mailx-12.5-16.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.